#! /bin/bash
# Last edited on 2011-04-23 11:32:56 by stolfi

# !!! The main picture and the blueprint must have the same aspect.
# !!! Fix it so that it works with any aspect.

nx="$1"; shift 
ny="$1"; shift
main_png="$1"; shift
blue_png="$1"; shift

tmp=/tmp/$$

dull_png="${tmp}-d.png"
mask_png="${tmp}-m.png"
vert_png="${tmp}-v.png"
nero_png="${tmp}-z.png"
albo_png="${tmp}-a.png"
over_png="${tmp}-o.png"

# Dim colors of original picture and shift to blue:

convert ${main_png} \
  -colorspace Gray \
  -resize "${nx}x" \
  -brightness-contrast '-35%' \
  ${dull_png}

# Convert the blueprint to an alpha mask for itself:

convert ${blue_png} \
  -colorspace Gray \
  -resize "${nx}x" \
  -negate \
  -brightness-contrast '+30%' \
  ${mask_png}

# Create an all-green image (the 'canvas:' function does not work in debian):
  
convert ${dull_png} \
  -brightness-contrast '-100%' \
  ${nero_png}
  
convert ${dull_png} \
  -brightness-contrast '+100%' \
  ${albo_png}
 
convert ${nero_png} ${albo_png} ${nero_png} \
  -channel RGB -combine \
  ${vert_png}
 
# Draw the blueprint over the dull image:

convert \
  ${dull_png} ${vert_png} ${mask_png} \
  -compose Over \
  -composite ${over_png}

display ${over_png} ${tmp}*.png

cat ${over_png}

rm ${tmp}-*.png

exit 0

